net.sf.jasperreports.charts.base

## Class JRBaseScatterPlot

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseChartPlot
  - - net.sf.jasperreports.charts.base.JRBaseScatterPlot

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRCommonLinePlot, JRScatterPlot, JRXAxisFormat, JRYAxisFormat, JRChangeEventsSupport, JRChartPlot, JRCloneable
  Direct Known Subclasses:
    JRDesignScatterPlot

      public class JRBaseScatterPlot
      extends JRBaseChartPlot
      implements JRScatterPlot

  Version:
    $Id: JRBaseScatterPlot.java 7088 2014-05-12 15:56:44Z lucianc $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `JRBaseChartPlot.JRBaseSeriesColor`

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRExpression` | `domainAxisMaxValueExpression`
    `protected JRExpression` | `domainAxisMinValueExpression`
    `static java.lang.String` | `PROPERTY_SHOW_LINES`
    `static java.lang.String` | `PROPERTY_SHOW_SHAPES`
    `protected JRExpression` | `rangeAxisMaxValueExpression`
    `protected JRExpression` | `rangeAxisMinValueExpression`
    `protected java.awt.Color` | `xAxisLabelColor`
    `protected JRExpression` | `xAxisLabelExpression`
    `protected JRFont` | `xAxisLabelFont`
    `protected java.awt.Color` | `xAxisLineColor`
    `protected java.awt.Color` | `xAxisTickLabelColor`
    `protected JRFont` | `xAxisTickLabelFont`
    `protected java.lang.String` | `xAxisTickLabelMask`
    `protected java.lang.Boolean` | `xAxisVerticalTickLabels`
    `protected java.awt.Color` | `yAxisLabelColor`
    `protected JRExpression` | `yAxisLabelExpression`
    `protected JRFont` | `yAxisLabelFont`
    `protected java.awt.Color` | `yAxisLineColor`
    `protected java.awt.Color` | `yAxisTickLabelColor`
    `protected JRFont` | `yAxisTickLabelFont`
    `protected java.lang.String` | `yAxisTickLabelMask`
    `protected java.lang.Boolean` | `yAxisVerticalTickLabels`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `backcolor, backgroundAlphaFloat, chart, foregroundAlphaFloat, labelRotationDouble, orientationValue, PROPERTY_BACKCOLOR, PROPERTY_BACKGROUND_ALPHA, PROPERTY_FOREGROUND_ALPHA, PROPERTY_LABEL_ROTATION, PROPERTY_ORIENTATION, PROPERTY_SERIES_COLORS, seriesColors`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRBaseScatterPlot(JRChartPlot plot, JRChart chart)`
    `JRBaseScatterPlot(JRScatterPlot scatterPlot, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone(JRChart parentChart)`
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `JRExpression` | `getDomainAxisMaxValueExpression()`
    `JRExpression` | `getDomainAxisMinValueExpression()`
    `java.awt.Color` | `getOwnXAxisLabelColor()`
    `java.awt.Color` | `getOwnXAxisLineColor()`
    `java.awt.Color` | `getOwnXAxisTickLabelColor()`
    `java.awt.Color` | `getOwnYAxisLabelColor()`
    `java.awt.Color` | `getOwnYAxisLineColor()`
    `java.awt.Color` | `getOwnYAxisTickLabelColor()`
    `JRExpression` | `getRangeAxisMaxValueExpression()`
    `JRExpression` | `getRangeAxisMinValueExpression()`
    `java.lang.Boolean` | `getShowLines()`
    `java.lang.Boolean` | `getShowShapes()`
    `java.awt.Color` | `getXAxisLabelColor()`
    `JRExpression` | `getXAxisLabelExpression()`
    `JRFont` | `getXAxisLabelFont()`
    `java.awt.Color` | `getXAxisLineColor()`
    `java.awt.Color` | `getXAxisTickLabelColor()`
    `JRFont` | `getXAxisTickLabelFont()`
    `java.lang.String` | `getXAxisTickLabelMask()`
    `java.lang.Boolean` | `getXAxisVerticalTickLabels()`
    `java.awt.Color` | `getYAxisLabelColor()`
    `JRExpression` | `getYAxisLabelExpression()`
    `JRFont` | `getYAxisLabelFont()`
    `java.awt.Color` | `getYAxisLineColor()`
    `java.awt.Color` | `getYAxisTickLabelColor()`
    `JRFont` | `getYAxisTickLabelFont()`
    `java.lang.String` | `getYAxisTickLabelMask()`
    `java.lang.Boolean` | `getYAxisVerticalTickLabels()`
    `void` | `setShowLines(java.lang.Boolean value)` Sets the show lines flag
    `void` | `setShowShapes(java.lang.Boolean value)` Sets the show shapes flag

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `addSeriesColor, clearSeriesColors, clone, getBackcolor, getBackgroundAlphaFloat, getChart, getEventSupport, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `addSeriesColor, clearSeriesColors, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Field Detail

    - #### PROPERTY_SHOW_LINES

          public static final java.lang.String PROPERTY_SHOW_LINES

      See Also:
        Constant Field Values

    - #### PROPERTY_SHOW_SHAPES

          public static final java.lang.String PROPERTY_SHOW_SHAPES

      See Also:
        Constant Field Values

    - #### xAxisLabelExpression

          protected JRExpression xAxisLabelExpression

    - #### xAxisLabelFont

          protected JRFont xAxisLabelFont

    - #### xAxisLabelColor

          protected java.awt.Color xAxisLabelColor

    - #### xAxisTickLabelFont

          protected JRFont xAxisTickLabelFont

    - #### xAxisTickLabelColor

          protected java.awt.Color xAxisTickLabelColor

    - #### xAxisTickLabelMask

          protected java.lang.String xAxisTickLabelMask

    - #### xAxisVerticalTickLabels

          protected java.lang.Boolean xAxisVerticalTickLabels

    - #### xAxisLineColor

          protected java.awt.Color xAxisLineColor

    - #### yAxisLabelExpression

          protected JRExpression yAxisLabelExpression

    - #### yAxisLabelFont

          protected JRFont yAxisLabelFont

    - #### yAxisLabelColor

          protected java.awt.Color yAxisLabelColor

    - #### yAxisTickLabelFont

          protected JRFont yAxisTickLabelFont

    - #### yAxisTickLabelColor

          protected java.awt.Color yAxisTickLabelColor

    - #### yAxisTickLabelMask

          protected java.lang.String yAxisTickLabelMask

    - #### yAxisVerticalTickLabels

          protected java.lang.Boolean yAxisVerticalTickLabels

    - #### yAxisLineColor

          protected java.awt.Color yAxisLineColor

    - #### domainAxisMinValueExpression

          protected JRExpression domainAxisMinValueExpression

    - #### domainAxisMaxValueExpression

          protected JRExpression domainAxisMaxValueExpression

    - #### rangeAxisMinValueExpression

          protected JRExpression rangeAxisMinValueExpression

    - #### rangeAxisMaxValueExpression

          protected JRExpression rangeAxisMaxValueExpression

  - ### Constructor Detail

    - #### JRBaseScatterPlot

          public JRBaseScatterPlot(JRChartPlot plot,
                           JRChart chart)

    - #### JRBaseScatterPlot

          public JRBaseScatterPlot(JRScatterPlot scatterPlot,
                           JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getXAxisLabelExpression

          public JRExpression getXAxisLabelExpression()

      Specified by:
        `getXAxisLabelExpression` in interface `JRScatterPlot`
      Returns:
        the x axis label expression

    - #### getXAxisLabelFont

          public JRFont getXAxisLabelFont()

      Specified by:
        `getXAxisLabelFont` in interface `JRXAxisFormat`

    - #### getXAxisLabelColor

          public java.awt.Color getXAxisLabelColor()

      Specified by:
        `getXAxisLabelColor` in interface `JRXAxisFormat`

    - #### getOwnXAxisLabelColor

          public java.awt.Color getOwnXAxisLabelColor()

      Specified by:
        `getOwnXAxisLabelColor` in interface `JRXAxisFormat`

    - #### getXAxisTickLabelFont

          public JRFont getXAxisTickLabelFont()

      Specified by:
        `getXAxisTickLabelFont` in interface `JRXAxisFormat`

    - #### getXAxisTickLabelColor

          public java.awt.Color getXAxisTickLabelColor()

      Specified by:
        `getXAxisTickLabelColor` in interface `JRXAxisFormat`

    - #### getOwnXAxisTickLabelColor

          public java.awt.Color getOwnXAxisTickLabelColor()

      Specified by:
        `getOwnXAxisTickLabelColor` in interface `JRXAxisFormat`

    - #### getXAxisTickLabelMask

          public java.lang.String getXAxisTickLabelMask()

      Specified by:
        `getXAxisTickLabelMask` in interface `JRXAxisFormat`

    - #### getXAxisVerticalTickLabels

          public java.lang.Boolean getXAxisVerticalTickLabels()

      Specified by:
        `getXAxisVerticalTickLabels` in interface `JRXAxisFormat`

    - #### getXAxisLineColor

          public java.awt.Color getXAxisLineColor()

      Specified by:
        `getXAxisLineColor` in interface `JRXAxisFormat`

    - #### getOwnXAxisLineColor

          public java.awt.Color getOwnXAxisLineColor()

      Specified by:
        `getOwnXAxisLineColor` in interface `JRXAxisFormat`

    - #### getYAxisLabelExpression

          public JRExpression getYAxisLabelExpression()

      Specified by:
        `getYAxisLabelExpression` in interface `JRScatterPlot`
      Returns:
        the y axis label expression

    - #### getYAxisLabelFont

          public JRFont getYAxisLabelFont()

      Specified by:
        `getYAxisLabelFont` in interface `JRYAxisFormat`

    - #### getYAxisLabelColor

          public java.awt.Color getYAxisLabelColor()

      Specified by:
        `getYAxisLabelColor` in interface `JRYAxisFormat`

    - #### getOwnYAxisLabelColor

          public java.awt.Color getOwnYAxisLabelColor()

      Specified by:
        `getOwnYAxisLabelColor` in interface `JRYAxisFormat`

    - #### getYAxisTickLabelFont

          public JRFont getYAxisTickLabelFont()

      Specified by:
        `getYAxisTickLabelFont` in interface `JRYAxisFormat`

    - #### getYAxisTickLabelColor

          public java.awt.Color getYAxisTickLabelColor()

      Specified by:
        `getYAxisTickLabelColor` in interface `JRYAxisFormat`

    - #### getOwnYAxisTickLabelColor

          public java.awt.Color getOwnYAxisTickLabelColor()

      Specified by:
        `getOwnYAxisTickLabelColor` in interface `JRYAxisFormat`

    - #### getYAxisTickLabelMask

          public java.lang.String getYAxisTickLabelMask()

      Specified by:
        `getYAxisTickLabelMask` in interface `JRYAxisFormat`

    - #### getYAxisVerticalTickLabels

          public java.lang.Boolean getYAxisVerticalTickLabels()

      Specified by:
        `getYAxisVerticalTickLabels` in interface `JRYAxisFormat`

    - #### getYAxisLineColor

          public java.awt.Color getYAxisLineColor()

      Specified by:
        `getYAxisLineColor` in interface `JRYAxisFormat`

    - #### getOwnYAxisLineColor

          public java.awt.Color getOwnYAxisLineColor()

      Specified by:
        `getOwnYAxisLineColor` in interface `JRYAxisFormat`

    - #### getShowShapes

          public java.lang.Boolean getShowShapes()

      Specified by:
        `getShowShapes` in interface `JRCommonLinePlot`
      Returns:
        the show shapes flag

    - #### getShowLines

          public java.lang.Boolean getShowLines()

      Specified by:
        `getShowLines` in interface `JRCommonLinePlot`
      Returns:
        the show lines flag

    - #### getDomainAxisMinValueExpression

          public JRExpression getDomainAxisMinValueExpression()

      Specified by:
        `getDomainAxisMinValueExpression` in interface `JRScatterPlot`
      Returns:
        the minimum value expression for the domain axis

    - #### getDomainAxisMaxValueExpression

          public JRExpression getDomainAxisMaxValueExpression()

      Specified by:
        `getDomainAxisMaxValueExpression` in interface `JRScatterPlot`
      Returns:
        the maximum value expression for the domain axis

    - #### getRangeAxisMinValueExpression

          public JRExpression getRangeAxisMinValueExpression()

      Specified by:
        `getRangeAxisMinValueExpression` in interface `JRScatterPlot`
      Returns:
        the minimum value expression for the range axis

    - #### getRangeAxisMaxValueExpression

          public JRExpression getRangeAxisMaxValueExpression()

      Specified by:
        `getRangeAxisMaxValueExpression` in interface `JRScatterPlot`
      Returns:
        the maximum value expression for the range axis

    - #### setShowShapes

          public void setShowShapes(java.lang.Boolean value)

      Description copied from interface: `JRCommonLinePlot`
      Sets the show shapes flag
      Specified by:
        `setShowShapes` in interface `JRCommonLinePlot`
      Parameters:
        `value` - the show shapes flag

    - #### setShowLines

          public void setShowLines(java.lang.Boolean value)

      Description copied from interface: `JRCommonLinePlot`
      Sets the show lines flag
      Specified by:
        `setShowLines` in interface `JRCommonLinePlot`
      Parameters:
        `value` - the show lines flag

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Specified by:
        `collectExpressions` in interface `JRChartPlot`

    - #### clone

          public java.lang.Object clone(JRChart parentChart)

      Specified by:
        `clone` in interface `JRChartPlot`
      Overrides:
        `clone` in class `JRBaseChartPlot`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com